API ReferenceClients
List clients
List all clients that belong to the account.
Authorization
authorization AuthorizationBearer <token>
In: header
Query Parameters
page?integer
Page number
Range
1 <= valuepage_size?integer
Number of items per page
Range
1 <= valuesearch?string
Only return clients that match the search query (name or email).
metadata?
Filter clients by metadata using bracket notation. See Metadata Filtering for more details.
include_sensitive?boolean
Whether to include sensitive fields (such as client name, email, and phone)
Default
falseResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/clients"{ "data": [ { "created_at": "2025-01-15T14:30:00Z", "email": "jane.smith@example.com", "first_name": "Jane", "id": "clnt_a1b2c3d4e5f6", "last_name": "Smith", "locale": "en-US", "metadata": { "external_id": "123" }, "object": "client", "phone": "+15551234567", "reference_id": "ext_12345", "time_zone": "America/Chicago", "updated_at": "2025-03-10T09:45:00Z" } ], "meta": { "current_page": 1, "page_size": 10, "total_count": 50, "total_pages": 5 }}